Bug 219283 - devel/raknet: fails to build with lang/gcc6 or later
Summary: devel/raknet: fails to build with lang/gcc6 or later
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ganael LAPLANCHE
URL:
Keywords: needs-patch
Depends on:
Blocks: 219275
  Show dependency treegraph
 
Reported: 2017-05-14 18:11 UTC by Jan Beich
Modified: 2017-05-20 17:22 UTC (History)
2 users (show)

See Also:
gerald: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-05-14 18:11:02 UTC
Source/RakPeer.cpp:157:127: error: narrowing conversion of '255' from 'int' to 'char' inside { } [-Wnarrowing]
 static const char OFFLINE_MESSAGE_DATA_ID[16]={0x00,0xFF,0xFF,0x00,0xFE,0xFE,0xFE,0xFE,0xFD,0xFD,0xFD,0xFD,0x12,0x34,0x56,0x78};
                                                                                                                               ^
Source/RakPeer.cpp:157:127: error: narrowing conversion of '255' from 'int' to 'char' inside { } [-Wnarrowing]
Source/RakPeer.cpp:157:127: error: narrowing conversion of '254' from 'int' to 'char' inside { } [-Wnarrowing]
Source/RakPeer.cpp:157:127: error: narrowing conversion of '254' from 'int' to 'char' inside { } [-Wnarrowing]
Source/RakPeer.cpp:157:127: error: narrowing conversion of '254' from 'int' to 'char' inside { } [-Wnarrowing]
Source/RakPeer.cpp:157:127: error: narrowing conversion of '254' from 'int' to 'char' inside { } [-Wnarrowing]
Source/RakPeer.cpp:157:127: error: narrowing conversion of '253' from 'int' to 'char' inside { } [-Wnarrowing]
Source/RakPeer.cpp:157:127: error: narrowing conversion of '253' from 'int' to 'char' inside { } [-Wnarrowing]
Source/RakPeer.cpp:157:127: error: narrowing conversion of '253' from 'int' to 'char' inside { } [-Wnarrowing]
Source/RakPeer.cpp:157:127: error: narrowing conversion of '253' from 'int' to 'char' inside { } [-Wnarrowing]
Comment 1 Jan Beich freebsd_committer 2017-05-14 18:11:43 UTC
build log: http://sprunge.us/AOUa
Comment 2 Ganael LAPLANCHE freebsd_committer 2017-05-15 10:19:10 UTC
Fix committed, thanks!
Comment 3 commit-hook freebsd_committer 2017-05-15 10:19:39 UTC
A commit references this bug:

Author: martymac
Date: Mon May 15 10:18:58 UTC 2017
New revision: 440916
URL: https://svnweb.freebsd.org/changeset/ports/440916

Log:
  Fix build with Gcc 6

  PR:		219283
  Submitted by:	jbeich

Changes:
  head/devel/raknet/files/patch-Source-RakPeer.cpp